- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions
CrossRefMap< GR, K, V >::InverseMap Class Reference

## Detailed Description

### template<typename GR, typename K, typename V>
class lemon::CrossRefMap< GR, K, V >::InverseMap

The inverse map type of CrossRefMap. The subscript operator gives back an item by its value. This type conforms to the ReadMap concept.

See Also
  inverse()

`#include <lemon/maps.h>`

## Public Types
typedef CrossRefMap::Key | Value
| The value type of the InverseMap.
typedef CrossRefMap::Value | Key
| The key type of the InverseMap.

## Public Member Functions
| InverseMap (const CrossRefMap &inverted)
| Constructor. More...
Value | operator[] (const Key &key) const
| Subscript operator. More...

## Constructor & Destructor Documentation

InverseMap | ( | const CrossRefMap & | inverted | ) |
| inline explicit

Constructor of the InverseMap.

## Member Function Documentation

Value operator[] | ( | const Key & | key | ) | const
| inline

Subscript operator. It gives back an item that is assigned to the given value or `INVALID` if no such item exists.